Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.config
Class ProducerInfo

    java.lang.Object
      com.bea.wsrp.config.ProducerInfo

All Implemented Interfaces:
  Serializable

public class ProducerInfo
extends Object
implements Serializable

Manages information required for a WSRP consumer to invoke a WSRP producer.

The consumer identifies each producer with a `producerHandle` which is a unique string assigned while adding a producer. This handle must be unique within a given web app.

See Also:
  `ProducerManager`, Serialized Form

Constructor Summary
`ProducerInfo()`

Method Summary
`boolean` | `equals(Object obj)`
`CookieProtocol.Enum` | `getCookieProtocol()` Returns the cookie protocol.
`String` | `getDescription()` Returns description of the producer.
`int` | `getId()` returns the unique ID used for storing the producer information in the database.
`String` | `getMarkupPortUrl()` Returns markup port URL
`String` | `getPortletManagementPortUrl()` Returns portlet management port URL
`String` | `getProducerHandle()` Returns the handle used to identity the producer.
`RegistrationContext` | `getRegistrationContext()` Returns registration context.
`String` | `getRegistrationHandle()` Returns regitration handle of the producer.
`String` | `getRegistrationPortUrl()` Returns registration port URL
`byte[]` | `getRegistrationState()` Returns optional regitration state associated with the registration with the producer.
`boolean` | `getRequiresRegistration()` Returns requires registration flag
`String` | `getServiceDescriptionPortUrl()` Returns the service description port URL.
`String` | `getVendor()` Returns the vendor of the producer.
`String` | `getWsdlUrl()` Returns the WSDL URL
`int` | `hashCode()`
`boolean` | `isRegistered()` Returns if the consumer has registered with this producer.
`void` | `setCookieProtocol(CookieProtocol.Enum cookieProtocol)` Sets cookie protocol.
`void` | `setDescription(String description)` Sets description.
`void` | `setId(int id)` Sets the unique ID used for storing the producer information in the database.
`void` | `setMarkupPortUrl(String markupPortUrl)` Sets markup port URL
`void` | `setPortletManagementPortUrl(String portletManagementPortUrl)` Sets portlet management port URL
`void` | `setProducerHandle(String producerHandle)` Sets producer handle
`void` | `setRegistrationHandle(String registrationHandle)` Sets the registration handle.
`void` | `setRegistrationPortUrl(String registrationPortUrl)` Sets registration port URL
`void` | `setRegistrationState(byte[] registrationState)` Sets registration state.
`void` | `setRequiresRegistration(boolean requiresRegistration)` Sets whether registration is required or not.
`void` | `setServiceDescriptionPortUrl(String serviceDescriptionPortUrl)` Sets servide description port URL.
`void` | `setVendor(String vendor)` Sets vendor information.
`void` | `setWsdlUrl(String wsdlUrl)` Sets WSDL URL.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProducerInfo

    public ProducerInfo()

Method Detail

### equals

    public boolean equals(Object obj)

### getCookieProtocol

    public CookieProtocol.Enum getCookieProtocol()

  Returns the cookie protocol.

  Returns:
    cookie protocol

### getDescription

    public String getDescription()

  Returns description of the producer.

  Returns:
    description

### getId

    public int getId()

  returns the unique ID used for storing the producer information in the database.

  Returns:
    id

### getMarkupPortUrl

    public String getMarkupPortUrl()

  Returns markup port URL

  Returns:
    markup port URL

### getPortletManagementPortUrl

    public String getPortletManagementPortUrl()

  Returns portlet management port URL

  Returns:
    portlet management port URL

### getProducerHandle

    public String getProducerHandle()

  Returns the handle used to identity the producer.

  Returns:
    handle

### getRegistrationContext

    public RegistrationContext getRegistrationContext()

  Returns registration context.

  Returns:
    registration context

### getRegistrationHandle

    public String getRegistrationHandle()

  Returns regitration handle of the producer. Returns null if ther producer does not require registration, or if the consumer has not yet registered with this producer.

  Returns:
    registration handle

### getRegistrationPortUrl

    public String getRegistrationPortUrl()

  Returns registration port URL

  Returns:
    registration port URL

### getRegistrationState

    public byte[] getRegistrationState()

  Returns optional regitration state associated with the registration with the producer.

  Returns:

### getRequiresRegistration

    public boolean getRequiresRegistration()

  Returns requires registration flag

  Returns:
    requires registration flag

### getServiceDescriptionPortUrl

    public String getServiceDescriptionPortUrl()

  Returns the service description port URL.

  Returns:
    service description port URL

### getVendor

    public String getVendor()

  Returns the vendor of the producer.

  Returns:
    vendor

### getWsdlUrl

    public String getWsdlUrl()

  Returns the WSDL URL

  Returns:
    WSDL URL

### hashCode

    public int hashCode()

### isRegistered

    public boolean isRegistered()

  Returns if the consumer has registered with this producer.

  Returns:
    boolean

### setCookieProtocol

    public void setCookieProtocol(CookieProtocol.Enum cookieProtocol)

  Sets cookie protocol.

  Parameters:
    `cookieProtocol` - cookie protocol

### setDescription

    public void setDescription(String description)

  Sets description.

  Parameters:
    `description` -

### setId

    public void setId(int id)

  Sets the unique ID used for storing the producer information in the database.

  Parameters:
    `id` -

### setMarkupPortUrl

    public void setMarkupPortUrl(String markupPortUrl)

  Sets markup port URL

  Parameters:
    `markupPortUrl` - markup port URL

### setPortletManagementPortUrl

    public void setPortletManagementPortUrl(String portletManagementPortUrl)

  Sets portlet management port URL

  Parameters:
    `portletManagementPortUrl` - portlet management port URL

### setProducerHandle

    public void setProducerHandle(String producerHandle)

  Sets producer handle

  Parameters:
    `producerHandle` -

### setRegistrationHandle

    public void setRegistrationHandle(String registrationHandle)

  Sets the registration handle.

  Parameters:
    `registrationHandle` -

### setRegistrationPortUrl

    public void setRegistrationPortUrl(String registrationPortUrl)

  Sets registration port URL

  Parameters:
    `registrationPortUrl` - registration port URL

### setRegistrationState

    public void setRegistrationState(byte[] registrationState)

  Sets registration state.

  Parameters:
    `registrationState` -

### setRequiresRegistration

    public void setRequiresRegistration(boolean requiresRegistration)

  Sets whether registration is required or not.

  Parameters:
    `requiresRegistration` -

### setServiceDescriptionPortUrl

    public void setServiceDescriptionPortUrl(String serviceDescriptionPortUrl)

  Sets servide description port URL.

  Parameters:
    `serviceDescriptionPortUrl` - service description port URL

### setVendor

    public void setVendor(String vendor)

  Sets vendor information.

  Parameters:
    `vendor` -

### setWsdlUrl

    public void setWsdlUrl(String wsdlUrl)

  Sets WSDL URL.

  Parameters:
    `wsdlUrl` -

### toString

    public String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved